Name:		ginkgo
Version:	0.32
Release:	%mkrel 8
Summary:	Ginkgo is a navigator for Nepomuk, the KDE semantic toolkit
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://wiki.mandriva.com/en/Ginkgo
Source0:	%{name}-%{version}.tar.bz2
BuildArch:	noarch

BuildRequires:	kde4-macros

Requires:	python-kde4
Requires:	python-mako
Requires:	oxygen-icon-theme

%description
Ginkgo is a graphical front-end for managing data semantically. Ginkgo
lets you create and explore links between your personal data such
as e-mails, contacts, files, Web pages. It harnesses the Nepomuk
framework.

%prep
%setup -q

%build
# clean old leftover from the tarball that prevent upload
rm -Rf src/ginkgo/util/.cache

# change "Report a Bug" URL to Mageia Bugzilla
sed -i 's!https://qa.mandriva.com!https://bugs.mageia.org!' %{name}

# also change .po headers for consistency
sed -i 's!https://qa.mandriva.com/!https://bugs.mageia.org/!' po/*.po

%install
mkdir -p %{buildroot}%{_kde_appsdir}/%{name}
cp -pr src/* %{buildroot}%{_kde_appsdir}/%{name}/
mkdir -p %{buildroot}%{_bindir}
cp -pr %{name} %{buildroot}%{_bindir}/%{name}

# .mo files translations
mkdir -p %{buildroot}%{_datadir}/locale
#make po_files
for i in po/*.po
do
	langdir="%{buildroot}%{_datadir}/locale/`basename ${i} .po`/LC_MESSAGES/"
	mkdir -p ${langdir}
	msgfmt -o ${langdir}/%{name}.mo ${i}
done

# destktop file menu-entry
mkdir -p %{buildroot}%{_kde_datadir}/applications
cat > %{buildroot}%{_kde_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Ginkgo
Comment=Ginkgo is a graphical front-end for Nepomuk
Exec=%{name}
Icon=nepomuk
Type=Application
Categories=Utility;KDE;Qt;
EOF

chmod -R a+r %{buildroot}%{_kde_appsdir}/%{name}

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_kde_appsdir}/%{name}/
%{_kde_datadir}/applications/%{name}.desktop


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 0.32-8.mga6
+ Revision: 939717
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.32-7.mga5
+ Revision: 745074
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.32-6.mga5
+ Revision: 679585
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.32-5.mga4
+ Revision: 504818
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.32-4.mga3
+ Revision: 351567
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 16 2011 doktor5000 <doktor5000> 0.32-3.mga2
+ Revision: 155578
- added .desktop file
- changed "Report Bug" URL to bugs.mageia.org
- added Requires on oxygen-icon-theme for the icon used in .desktop file

* Mon Oct 03 2011 misc <misc> 0.32-2.mga2
+ Revision: 151254
- remove cache from the tarball, as it should not be here

  + doktor5000 <doktor5000>
    - fix permissions (mga#2658)
    - remove obsolete %%clean

* Tue May 10 2011 mikala <mikala> 0.32-1.mga1
+ Revision: 96949
- Remove BuildRoot
- Minor change in spec
- imported package ginkgo


* Mon May 09 2011 Stéphane Laurière <slauriere@mandriva.com> 0.32-1mdv2011.0
+ Revision: 673083
- release 0.32
- release 0.32

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.31-3
+ Revision: 664844
- mass rebuild

* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.31-2mdv2011.0
+ Revision: 605458
- rebuild

* Tue Jun 22 2010 Stéphane Laurière <slauriere@mandriva.com> 0.31-1mdv2010.1
+ Revision: 548526
- updated translations
- v0.31 upstream release

* Thu Jun 03 2010 Stéphane Laurière <slauriere@mandriva.com> 0.3-1mdv2010.1
+ Revision: 547028
- upstream release v0.3
- upstream release v0.3

* Wed May 26 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.2.5-1mdv2010.1
+ Revision: 546084
- New version 0.2.5

  + Stéphane Laurière <slauriere@mandriva.com>
    - upstream release v0.2.4
    - upstream release v0.2.4

* Tue May 25 2010 Stéphane Laurière <slauriere@mandriva.com> 0.2.3-1mdv2010.1
+ Revision: 546003
- upstream release v0.2.3

* Tue May 25 2010 Stéphane Laurière <slauriere@mandriva.com> 0.2.2-1mdv2010.1
+ Revision: 545932
- upstream release v0.2.2

* Tue May 25 2010 Stéphane Laurière <slauriere@mandriva.com> 0.2.1-1mdv2010.1
+ Revision: 545891
- upstream release v0.2.1

* Mon May 24 2010 Stéphane Laurière <slauriere@mandriva.com> 0.2-1mdv2010.1
+ Revision: 545744
- added translation files
- upstream release v0.2
- upstream release v0.1.6
- upstream release v0.1.5
- upstream release v0.1.4
- upstream release v0.1.3
- v0.1.3
- added distutils config

* Tue May 18 2010 Stéphane Laurière <slauriere@mandriva.com> 0.1.2-1mdv2010.1
+ Revision: 545242
- upstream release v0.1.2

* Tue May 18 2010 Stéphane Laurière <slauriere@mandriva.com> 0.1.1-1mdv2010.1
+ Revision: 545118
- upstream release v0.1.1
- description update

* Tue May 18 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1-1mdv2010.1
+ Revision: 545080
- Fix BuildRequires
- Add Requires
- New tarball with translations included
- import ginkgo


